<?xml version="1.0" encoding="EUC-JP"?>

<!--
 * $Id: BanBunModule.xsl 20262 2009-01-26 08:13:14Z ozawa $
 *
 * Copyright (c) 2003- ONGS Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY ONGS INC ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ONGS INC OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of the ONGS Inc.
-->

<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <xsl:output method="html" encoding="EUC-JP" indent="yes"
  doctype-public="-//W3C//DTD HTML 4.0 //EN"/>

<!-- ƬΥɥȾ -->
 <xsl:template match="/document/docgroup/docinfo">
  <xsl:apply-imports/>

  <div>
   <xsl:text>ʸֹ </xsl:text>
   <xsl:value-of select="number[1]/p"/><br/>

   <xsl:for-each select="revisionnumber[1]/p">
    <xsl:text>ֹ </xsl:text>
    <xsl:apply-templates/><br/>
   </xsl:for-each>

   <xsl:for-each select="category/p">
    <xsl:text>ʸ </xsl:text>
    <xsl:apply-templates/><br/>
   </xsl:for-each>

   <xsl:if test="0 &lt; count(newernumber)">
    <xsl:text>ʸֹ </xsl:text>
    <xsl:for-each select="newernumber/p">
     <xsl:apply-templates/>
     <xsl:choose>
      <xsl:when test="position()=last()"><br/></xsl:when>
      <xsl:otherwise><xsl:text>, </xsl:text></xsl:otherwise>
     </xsl:choose>
    </xsl:for-each>
   </xsl:if>

   <xsl:if test="0 &lt; count(obsoletenumber)">
    <xsl:text>ʸֹ </xsl:text>
    <xsl:for-each select="obsoletenumber/p">
     <xsl:apply-templates/>
     <xsl:choose>
      <xsl:when test="position()=last()"><br/></xsl:when>
      <xsl:otherwise><xsl:text>, </xsl:text></xsl:otherwise>
     </xsl:choose>
    </xsl:for-each>
   </xsl:if>
  </div>
 </xsl:template>

</xsl:stylesheet>
